[Unit]
Description=Run VS Code on a remote server.
Documentation=https://github.com/cdr/code-server
After=network.target network-online.target

[Service]
Type=simple
ExecStart=/usr/local/bin/code-server --auth none {{ code_server_work_dir }} --host {{ code_server_host }} --port {{ code_server_port }}
WorkingDirectory=~
Restart=on-failure
RestartSec=5s

[Install]
WantedBy=default.target
